<template>
  <div class="time-line">
		<TimeLineElementProfile :profile="profile"/>
    <span class="time-line__element-date time-line__element-date_now">Now</span>
    <TimeLineElement :timeLine="timeline" v-for="timeline in timelines" :key="timeline.id"/>
  </div>
</template>

<script>
import TimeLineElement from "./timelineelement/TimeLineElement.vue";
import TimeLineElementProfile from "./timelineelement/TimeLineElementProfile.vue";
export default {
  name: "TimeLine",
  props: {
    profile: Object,
    timelines: Array
  },
  components: {
		TimeLineElement,
		TimeLineElementProfile
  }
};
</script>


<style scoped lang="scss">
@import "~/assets/scss/_variables.scss";
@import "~/assets/scss/_mixins.scss";

.time-line {
  padding: 12px 0;
  position: relative;
  @include respond-to(sm) {
    width: 100%;
  }
  &::before {
    content: "";
    position: absolute;
    top: 0;
    height: 100%;
    width: $line-width;
    border-radius: 12px;
    background: darken($color: $primary-color, $amount: 5);
    margin: 0 0 0 $max-time-line-element-image-size / 2 - $line-width / 2;
  }
  &__element-date_now {
    @include respond-to(sm) {
      font-size: 1em;
    }
    @include respond-to(md) {
      font-size: 1.1em;
    }
    @include respond-to(lg) {
      font-size: 1.2em;
    }
  }
}
</style>
